Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.impl
Class InterfaceAspectImpl

    java.lang.Object
      net.sf.joyaop.impl.InterfaceAspectImpl

All Implemented Interfaces:
  Aspect, InterfaceAspect

    public class InterfaceAspectImpl

extends java.lang.Object
implements InterfaceAspect

Author:
  Shen Li

Constructor Summary
`InterfaceAspectImpl()`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`java.lang.Class` | `getAspectClass()`
`Pointcut` | `getPointcut()`
`int` | `hashCode()`
`void` | `setAspectClass(java.lang.Class aspectClass)`
`void` | `setPointcut(Pointcut pointcut)`
`void` | `weave(AspectizedClass aspectizedClass)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.joyaop.framework.Aspect
`getAspectClass, getPointcut, setAspectClass, setPointcut`

Constructor Detail

### InterfaceAspectImpl

    public InterfaceAspectImpl()

Method Detail

### weave

    public void weave(AspectizedClass aspectizedClass)

  Specified by:
    `weave` in interface `Aspect`

### getPointcut

    public Pointcut getPointcut()

  Specified by:
    `getPointcut` in interface `Aspect`

### setPointcut

    public void setPointcut(Pointcut pointcut)

  Specified by:
    `setPointcut` in interface `Aspect`

### getAspectClass

    public java.lang.Class getAspectClass()

  Specified by:
    `getAspectClass` in interface `Aspect`

### setAspectClass

    public void setAspectClass(java.lang.Class aspectClass)

  Specified by:
    `setAspectClass` in interface `Aspect`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD